## EDU.oswego.cs.dl.util.concurrent
Interface PooledExecutor.BlockedExecutionHandler

All Known Implementing Classes:
  PooledExecutor.AbortWhenBlocked, PooledExecutor.DiscardOldestWhenBlocked, PooledExecutor.DiscardWhenBlocked, PooledExecutor.RunWhenBlocked, PooledExecutor.WaitWhenBlocked

Enclosing class:
  PooledExecutor

    public static interface PooledExecutor.BlockedExecutionHandler

Class for actions to take when execute() blocks. Uses Strategy pattern to represent different actions. You can add more in subclasses, and/or create subclasses of these. If so, you will also want to add or modify the corresponding methods that set the current blockedExectionHandler_.

Method Summary
`boolean` `blockedAction(java.lang.Runnable command)` Return true if successfully handled so, execute should terminate; else return false if execute loop should be retried.

Method Detail

### blockedAction

    boolean blockedAction(java.lang.Runnable command)
                          throws java.lang.InterruptedException

  Return true if successfully handled so, execute should terminate; else return false if execute loop should be retried.

  Throws:
    `java.lang.InterruptedException`